<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="purchase_requisition_approval_form" model="ir.ui.view">
            <field name="name">purchase.requisition.approval.form</field>
            <field name="inherit_id" ref="purchase_requisition.view_purchase_requisition_form"/>
            <field name="model">purchase.requisition</field>
            <field name="arch" type="xml">

                <button name="action_open" position="attributes">
                    <attribute name="groups"></attribute>
                    <attribute name="attrs">{'invisible':[('is_current_approver', '=', False),'|',('state','not in','to approve')]}</attribute>
                    <attribute name="states">in_progress,to approve</attribute>
                </button>

                <field name="currency_id" position="after">
                    <field name="po_order_approval_route" invisible="True"/>
                    <field name="team_id"
                           attrs="{'invisible':[('po_order_approval_route', '=', 'no')], 'required':[('po_order_approval_route', '=', 'required')]}"
                           domain="[('company_id', '=', company_id), ('user_id', '=', context.get('uid')),('is_requisition', '=', True)]"/>
                </field>

                <notebook position="inside">
                    <page name="approval_route" string="Approval Route"
                          attrs="{'invisible':['|', ('state', 'in', ['draft']), ('team_id', '=', False)]}">
                        <field name="approver_ids">
                            <tree>
                                <field name="user_id"/>
                                <field name="role"/>
                                <field name="state"/>
                            </tree>
                        </field>
                        <field name="is_current_approver" invisible="True"/>
                    </page>
                </notebook>
            </field>
        </record>
    </data>
</odoo>